SEARCHOPEREXPR(3)

NAME
searchOperExpr - searches for an operator in an expression.

SYNOPSYS
#include "logmmm.h"
int searchOperExpr(expr,oper)
chain_list *expr;
short oper;

PARAMETERS

expr
    expression

oper
    oper to look for

DESCRIPTION
searchOperExpr() searches for oper in expr and returns 1 if oper is an operator of expr.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr;
expr = createExpr(OR);
addQExpr(expr,createAtom("a"));
addQExpr(expr,createAtom("b"));
printf("%d",searchOperExpr(expr,OR));
/* it will display
1
*/
freeExpr(expr);

SEE ALSO
log(1), abl(1), searchExpr(3), equalExpr(3), equalVarExpr(3), lengthExpr(3), profExpr(3), numberAtomExpr(3).